Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.validators.common
Class ContentLeafNameTypeVector

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.common.ContentLeafNameTypeVector

public final class ContentLeafNameTypeVector
extends java.lang.Object

A light-weight class that stored the leaf names and types from a DFAContentModel

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`int` | `leafCount`
`QName[]` | `leafNames`
`int[]` | `leafTypes`

Constructor Summary
`ContentLeafNameTypeVector()`
`ContentLeafNameTypeVector(ContentLeafNameTypeVector clntv)`
`ContentLeafNameTypeVector(QName[] names, int[] types, int count)`

Method Summary
`void` | `setValues(QName[] names, int[] types, int count)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### leafNames

    public QName[] leafNames

### leafTypes

    public int[] leafTypes

### leafCount

    public int leafCount

Constructor Detail

### ContentLeafNameTypeVector

    public ContentLeafNameTypeVector()

### ContentLeafNameTypeVector

    public ContentLeafNameTypeVector(QName[] names,
                                     int[] types,
                                     int count)

### ContentLeafNameTypeVector

    public ContentLeafNameTypeVector(ContentLeafNameTypeVector clntv)

Method Detail

### setValues

    public void setValues(QName[] names,
                          int[] types,
                          int count)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD